<?php

$no_session = true;
require_once("../lib/init.php");

//
// So we check for a username and password first
//
if ( $_POST['username'] && $_POST['password'] ) {
    require_once("/data/libglue/config.php");
    libglue_param( read_config(conf('path').'/conf/config.conf',0) );
    require_once('/data/libglue/auth.php');
    require_once('/data/libglue/session.php');
    require_once('/data/libglue/dbh.php');


    $username = strip_tags($_POST['username']);
    $password = strip_tags($_POST['password']);
    $auth = authenticate($username, $password);
}
//
// If we succeeded in authenticating, create a session
//
if ( $auth['success'] == 1 )
{
    // $auth->info are the fields specified in the config file
    //   to retrieve for each user
    $user = $auth['info'];
    session_name(libglue_param('sess_name'));

    //Setup the cookie:
    $domain = libglue_param('sess_domain');
    //Lifetime of the cookie:
    $cookielife = libglue_param('sess_cookielife');
    if(empty($cookielife)) $cookielife = 0;
    //Secure cookie?
    $cookiesecure = libglue_param('sess_cookiesecure');
    if(empty($cookiesecure)) $cookiesecure = 0;
    //Cookie path:
    $cookiepath = libglue_param('sess_cookiepath');
    if(empty($cookiepath)) $cookiepath = '/';

    if(!empty($domain)) session_set_cookie_params($cookielife,$cookiepath,$domain,$cookiesecure);
    session_start();
    make_local_session_only($auth);
    $_SESSION['user'] = $user;
    // now redirect to the main page
    header("Location: " . libglue_param('auth_page'));
    die();
}
else
{
    // We can display $error on our login form if we want
    $error = $auth->error;
}

?>

<html><head><title>Login</title></head><body>
<form name="login" enctype="multipart/form-data" method="post" style="display:inline" action="<?=$_SERVER['PHP_SELF'];?>">
<center>
<table align="center">
<tr>
<td>
    <table align="center">
    <tr><td colspan="2" align="center">
    <font style="header1" color="black"><?php echo conf('login_message'); ?></font>
    </td></tr>
    <tr><td align="right"><b>login:</b></td>
    <td align="left"><input type="text" name="username" value="" /></td></tr>
    <tr><td align="right"><b>password:</b></td>
    <td align="left"><input type="password" name="password" value="" /></td></tr>
    <tr><td colspan="2" align="center">
    <?=$error; ?>
    </td></tr>
    <tr>
        <td>&nbsp;</td>
        <td align="left"><input type="submit" name="action" value="login" /></td></tr>
    </table>
</td></tr>
</table>

</center>
</form>

</div>
</body></html>
